## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <attDef>

`<attDef>` | (attribute definition) contains the definition of a single attribute.

Attributes

(In addition to global attributes)

`usage` | specifies the optionality of an attribute or element.
| Datatype: (req|mwa|rec|rwa|opt)

Legal values are:

req | required
mwa | mandatory when applicable
rec | recommended
rwa | recommended when applicable
opt | optional

| Default: opt

Example

    <attDef usage="rec">
      <attName>type</attName>
      <desc>specifies a name conventionally used for this
    	level of subdivision, e.g. <q>act</q>, <q>volume</q>,
    	<q>book</q>, <q>section</q>, <q>canto</q>, etc.</desc>
      <datatype>CDATA</datatype>
    	<valDesc>any string of characters</valDesc>
    	<default>#IMPLIED</default>
    </attDef>

Module Declared in file teitsd2; Auxiliary DTD for Tag Set documentation
May contain attName datatype default desc eg equiv remarks rs valDesc valList
May occur within
Declaration

    <!ELEMENT attDef %om.RO; (attName, rs?, desc,
    (datatype, (valList | valDesc)?),
    default, eg?, remarks?, equiv*)>
    <!ATTLIST attDef
          %a.global;
          usage (req|mwa|rec|rwa|opt) "opt">

See further 27.1.1 The AttList Documentation Element

Up: 35 Elements